# Get

Launch stage: GA

`GET /api/2.1/unity-catalog/recipients/{name}`

Gets a share recipient from the metastore. The caller must be one of:
   * A user with **USE_RECIPIENT** privilege on the metastore
   * The owner of the share recipient
   * A metastore admin

API scopes: sharing

## Path parameters

- `name` (string, optional)
  Name of the recipient.

## Returns

Returns the RecipientInfo object.

## Response

```json
{
  "name": "string",
  "authentication_type": "string",
  "sharing_code": "string",
  "data_recipient_global_metastore_id": "string",
  "owner": "string",
  "comment": "string",
  "ip_access_list": {
    "allowed_ip_addresses": [
      "string"
    ]
  },
  "properties_kvpairs": {
    "properties": {}
  },
  "expiration_time": 0,
  "activation_url": "string",
  "activated": true,
  "created_at": 0,
  "created_by": "string",
  "tokens": [
    {
      "id": "string",
      "created_at": 0,
      "created_by": "string",
      "activation_url": "string",
      "expiration_time": 0,
      "updated_at": 0,
      "updated_by": "string"
    }
  ],
  "updated_at": 0,
  "updated_by": "string",
  "cloud": "string",
  "region": "string",
  "metastore_id": "string",
  "id": "string"
}
```

